Configurations - Get

Gets information about a specific configuration (also known as server parameter) of a server.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/configurations/{configurationName}?api-version=2025-08-01

URI Parameters

Name In Required Type Description
configurationName
path True

string

minLength: 1
maxLength: 256
pattern: ^[-\w\._]+$

Name of the configuration (also known as server parameter).

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Configuration

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get information about a specific configuration (also known as server parameter) of a server.

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/configurations/array_nulls?api-version=2025-08-01

Sample response

{
  "name": "array_nulls",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations",
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/configurations/array_nulls",
  "properties": {
    "description": "Enables input of NULL (case insensitive) to be considered as NULL value rather than the literal String 'NULL'.",
    "allowedValues": "on,off",
    "dataType": "Boolean",
    "defaultValue": "on",
    "documentationLink": "https://www.postgresql.org/docs/13/runtime-config-compatible.html#GUC-ARRAY-NULLS",
    "isConfigPendingRestart": false,
    "isDynamicConfig": true,
    "isReadOnly": false,
    "source": "system-default",
    "value": "on"
  }
}

Definitions

Name Description
Configuration

Configuration (also known as server parameter).

ConfigurationDataType

Data type of the configuration (also known as server parameter).

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

Configuration

Configuration (also known as server parameter).

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.allowedValues

string

Allowed values of the configuration (also known as server parameter).

properties.dataType

ConfigurationDataType

Data type of the configuration (also known as server parameter).

properties.defaultValue

string

Value assigned by default to the configuration (also known as server parameter).

properties.description

string

Description of the configuration (also known as server parameter).

properties.documentationLink

string

Link pointing to the documentation of the configuration (also known as server parameter).

properties.isConfigPendingRestart

boolean

Indicates if the value assigned to the configuration (also known as server parameter) is pending a server restart for it to take effect.

properties.isDynamicConfig

boolean

Indicates if it's a dynamic (true) or static (false) configuration (also known as server parameter). Static server parameters require a server restart after changing the value assigned to them, for the change to take effect. Dynamic server parameters do not require a server restart after changing the value assigned to them, for the change to take effect.

properties.isReadOnly

boolean

Indicates if it's a read-only (true) or modifiable (false) configuration (also known as server parameter).

properties.source

string

Source of the value assigned to the configuration (also known as server parameter). Required to update the value assigned to a specific modifiable configuration.

properties.unit

string

Units in which the configuration (also known as server parameter) value is expressed.

properties.value

string

Value of the configuration (also known as server parameter). Required to update the value assigned to a specific modifiable configuration.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ConfigurationDataType

Data type of the configuration (also known as server parameter).

Value Description
Boolean

A boolean value.

Numeric

A numeric value.

Integer

An integer value.

Enumeration

An enumeration value.

String

A string value.

Set

A set of values.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.